# Interface VulkanClearValueType.VulkanClearValueColorIntegerSignedType

All Superinterfaces:
  `VulkanClearValueType`, `VulkanClearValueType.VulkanClearValueColorType`

All Known Implementing Classes:
  `VulkanClearValueColorIntegerSigned`

Enclosing interface:
  `VulkanClearValueType`

@Immutable public static interface VulkanClearValueType.VulkanClearValueColorIntegerSignedType extends VulkanClearValueType.VulkanClearValueColorType
A color consisting of signed integer components.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface com.io7m.jcoronado.api.VulkanClearValueType

  `VulkanClearValueType.Type, VulkanClearValueType.VulkanClearValueColorFloatingPointType, VulkanClearValueType.VulkanClearValueColorIntegerSignedType, VulkanClearValueType.VulkanClearValueColorIntegerUnsignedType, VulkanClearValueType.VulkanClearValueColorType, VulkanClearValueType.VulkanClearValueDepthStencilType`

  ### Nested classes/interfaces inherited from interface com.io7m.jcoronado.api.VulkanClearValueType.VulkanClearValueColorType

  `VulkanClearValueType.VulkanClearValueColorType.ColorType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `alpha()`
  `int`
  `blue()`
  `default VulkanClearValueType.VulkanClearValueColorType.ColorType`
  `colorType()`
  `int`
  `green()`
  `int`
  `red()`

  ### Methods inherited from interface com.io7m.jcoronado.api.VulkanClearValueType.VulkanClearValueColorType

  `type`

- ## Method Details

  - ### colorType

    default VulkanClearValueType.VulkanClearValueColorType.ColorType colorType()
    Specified by:
      `colorType` in interface `VulkanClearValueType.VulkanClearValueColorType`
    Returns:
      The type of value

  - ### red

    @Parameter int red()
    Returns:
      The red channel

  - ### green

    @Parameter int green()
    Returns:
      The green channel

  - ### blue

    @Parameter int blue()
    Returns:
      The blue channel

  - ### alpha

    @Parameter int alpha()
    Returns:
      The alpha channel